﻿@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Noto+Color+Emoji&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  -o-box-sizing: border-box;
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  font-size: 16px;
  line-height: 1.4;
  font-family: "Lato", sans-serif;
  color: #fefeff;
  -webkit-font-smoothing: antialiased;
  /* font-smoothing: antialiased; */
}

body {
  background: rgb(8, 5, 16);
  overflow: hidden;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

h1 {
  font-family: "Cinzel", serif;
  font-size: 120px;
  font-weight: 400;
  letter-spacing: 0.3em;
  text-shadow: 0 0 25px rgba(254, 254, 255, 0.8);
  text-transform: uppercase;
}

h2 {
  font-family: "Poppins", serif;
  font-size: 30px;
  font-weight: 400;
  color: rgb(198, 197, 197);
  letter-spacing: 0.2em;
  text-shadow: 0 0 25px rgba(128, 128, 128, 0.5);
  text-transform: capitalize;
}
h3 {
  font-family: "Lato", serif;
  font-size: 22px;
  font-weight: 600;
  letter-spacing: 0.05em;
  /* text-shadow: 0 0 25px rgba(254, 254, 255, 0.85); */
  text-transform: capitalize;
}

[class^="letter"] {
  -webkit-transition: opacity 3s ease;
  -moz-transition: opacity 3s ease;
  transition: opacity 3s ease;
}

.letter-0 {
  transition-delay: 0.2s;
}

.letter-1 {
  transition-delay: 0.4s;
}

.letter-2 {
  transition-delay: 0.6s;
}

.letter-3 {
  transition-delay: 0.8s;
}

.letter-4 {
  transition-delay: 1s;
}

.letter-5 {
  transition-delay: 1.2s;
}

.letter-6 {
  transition-delay: 1.4s;
}

.letter-7 {
  transition-delay: 1.6s;
}

.letter-8 {
  transition-delay: 1.8s;
}

.letter-9 {
  transition-delay: 2s;
}

.letter-10 {
  transition-delay: 2.2s;
}

.letter-11 {
  transition-delay: 2.4s;
}

.letter-12 {
  transition-delay: 2.6s;
}

.letter-13 {
  transition-delay: 2.8s;
}

.letter-14 {
  transition-delay: 3s;
}

h1,
h2 {
  visibility: hidden;
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

h1.transition-in,
h2.transition-in {
  visibility: visible;
}

h1 [class^="letter"],
h2 [class^="letter"] {
  opacity: 0;
}

h1.transition-in [class^="letter"],
h2.transition-in [class^="letter"] {
  opacity: 1;
}

#hovertreecontainer {
  display: table;
  position: absolute;
  z-index: 20;
  width: 100%;
  height: 100%;
  text-align: center;
  cursor: none;
  left: 15px;
}

#hovertreecontainer > div {
  display: table-cell;
  vertical-align: middle;
}

#hovertreecontainer p {
  position: absolute;
  width: 100%;
  left: 0;
  bottom: 25px;
  font-size: 0.8em;
  letter-spacing: 0.1em;
  font-weight: 300;
  color: #76747a;
  -webkit-font-smoothing: subpixel-antialiased;
  /* font-smoothing: subpixel-antialiased; */
}

#hovertreecontainer p strong {
  color: #b3abc5;
  font-size: 5em;
}

#hovertreecontainer p span {
  font-size: 0.75em;
  padding: 0 2px;
}

#canvas {
  position: absolute;
  z-index: 10;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: none;
}

#stats {
  position: absolute;
  z-index: 10;
  left: 10px;
  top: 10px;
}

.dg.ac {
  z-index: 100 !important;
}

#hovertreecontainer div p strong a {
  color: #999;
  font-size: 0.5em;
}

body,
td,
th {
  font-family: Lato, sans-serif;
}

a:link {
  text-decoration: none;
}

a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

a:active {
  text-decoration: none;
}

@media screen and (max-width: 1024px) {
  h1 {
    font-size: 120px;
  }

  h2 {
    font-size: 45px;
    margin: 10px 0;
  }

  h3 {
    font-size: 35px;
  }
}
